/**
 * Add support for turning frontmatter in markdown to HTML.
 *
 * Function that can be called to get an HTML extension for micromark (passed
 * in `htmlExtensions`).
 *
 * This makes sure nothing is generated for frontmatter.
 *
 * Supports YAML by default.
 * Can be configured to support other things.
 *
 * @param {Options} [options='yaml']
 *   Configuration (optional).
 * @returns {HtmlExtension}
 *   HTML extension for micromark (passed in `htmlExtensions`).
 */
export function frontmatterHtml(
  options?: import('../matters.js').Options | undefined
): HtmlExtension
export type HtmlExtension = import('micromark-util-types').HtmlExtension
export type Handle = import('micromark-util-types').Handle
export type CompileContext = import('micromark-util-types').CompileContext
export type Options = import('../matters.js').Options
